<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: png/writepng.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_faf003682c2bcfc217df395c6fafe5c7.html">png</a>
  </div>
</div>
<div class="contents">
<h1>writepng.h File Reference</h1><code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<code>#include &quot;png.h&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writepng.h:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h__incl.png" border="0" usemap="#png_2writepng_8h_map" alt=""/></div>
<map name="png_2writepng_8h_map" id="png_2writepng_8h">
<area shape="rect" id="node3" href="griddata_8h.html" title="griddata.h" alt="" coords="163,86,240,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h__dep__incl.png" border="0" usemap="#png_2writepng_8hdep_map" alt=""/></div>
<map name="png_2writepng_8hdep_map" id="png_2writepng_8hdep">
<area shape="rect" id="node3" href="writedatapng2_8c.html" title="png/writedatapng2.c" alt="" coords="5,86,144,117"/><area shape="rect" id="node5" href="writepng_8c.html" title="png/writepng.c" alt="" coords="168,86,275,117"/></map>
</div>

<p><a href="writepng_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456">WritePNG</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680">WritePNGinit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341">WritePNG2</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93">WritePNG2init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8h.html#a7770d19aebe21e0a423fd40781030bcb">WritePNGfile</a> (char *file_name, int width, int height, png_bytepp image, char *desc)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a629c0cdcd1b586d1645c533c397e0456"></a><!-- doxytag: member="writepng.h::WritePNG" ref="a629c0cdcd1b586d1645c533c397e0456" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNG </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatapng_8c_source.html#l00168">168</a> of file <a class="el" href="writedatapng_8c_source.html">writedatapng.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="writepng_8c_source.html#l00039">WritePNGfile()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_cgraph.png" border="0" usemap="#writepng_8h_a629c0cdcd1b586d1645c533c397e0456_cgraph_map" alt=""></div>
<map name="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_cgraph_map" id="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_cgraph">
<area shape="rect" id="node3" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="133,5,229,35"/><area shape="rect" id="node5" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="133,58,229,89"/><area shape="rect" id="node7" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="279,5,377,35"/><area shape="rect" id="node11" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="300,58,356,89"/><area shape="rect" id="node16" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="287,189,369,219"/><area shape="rect" id="node9" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="439,5,524,35"/><area shape="rect" id="node13" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="444,58,519,89"/><area shape="rect" id="node18" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="448,111,515,142"/><area shape="rect" id="node20" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="595,165,667,195"/><area shape="rect" id="node24" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="439,215,524,246"/><area shape="rect" id="node26" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="428,269,535,299"/><area shape="rect" id="node32" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="435,322,528,353"/><area shape="rect" id="node22" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="725,217,840,247"/><area shape="rect" id="node29" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="584,269,677,299"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_icgraph.png" border="0" usemap="#writepng_8h_a629c0cdcd1b586d1645c533c397e0456_icgraph_map" alt=""></div>
<map name="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_icgraph_map" id="writepng_8h_a629c0cdcd1b586d1645c533c397e0456_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="135,129,204,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="253,76,392,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="616,101,675,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="477,229,531,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="259,129,387,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="284,23,361,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="280,183,365,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="277,236,368,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="723,140,773,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="441,24,567,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aaa844719c96178cd07f858c1192c7341"></a><!-- doxytag: member="writepng.h::WritePNG2" ref="aaa844719c96178cd07f858c1192c7341" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNG2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatapng2_8c_source.html#l00168">168</a> of file <a class="el" href="writedatapng2_8c_source.html">writedatapng2.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writepng_8c_source.html#l00039">WritePNGfile()</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_aaa844719c96178cd07f858c1192c7341_cgraph.png" border="0" usemap="#writepng_8h_aaa844719c96178cd07f858c1192c7341_cgraph_map" alt=""></div>
<map name="writepng_8h_aaa844719c96178cd07f858c1192c7341_cgraph_map" id="writepng_8h_aaa844719c96178cd07f858c1192c7341_cgraph">
<area shape="rect" id="node3" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="143,58,244,89"/><area shape="rect" id="node32" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="145,111,241,142"/><area shape="rect" id="node5" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="295,5,393,35"/><area shape="rect" id="node9" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="316,58,372,89"/><area shape="rect" id="node14" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="303,190,385,221"/><area shape="rect" id="node7" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="455,5,540,35"/><area shape="rect" id="node11" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="460,58,535,89"/><area shape="rect" id="node16" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="464,111,531,142"/><area shape="rect" id="node18" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="611,165,683,195"/><area shape="rect" id="node22" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="455,215,540,246"/><area shape="rect" id="node24" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="444,269,551,299"/><area shape="rect" id="node30" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="451,322,544,353"/><area shape="rect" id="node20" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="741,217,856,247"/><area shape="rect" id="node27" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="600,269,693,299"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_aaa844719c96178cd07f858c1192c7341_icgraph.png" border="0" usemap="#writepng_8h_aaa844719c96178cd07f858c1192c7341_icgraph_map" alt=""></div>
<map name="writepng_8h_aaa844719c96178cd07f858c1192c7341_icgraph_map" id="writepng_8h_aaa844719c96178cd07f858c1192c7341_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="143,129,212,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="261,76,400,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="624,101,683,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="485,229,539,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="267,129,395,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="292,23,369,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="288,183,373,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="285,236,376,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="731,140,781,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="449,24,575,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a916a4d7d0d8aec0eac742e8f8bb41a93"></a><!-- doxytag: member="writepng.h::WritePNG2init" ref="a916a4d7d0d8aec0eac742e8f8bb41a93" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNG2init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatapng2_8c_source.html#l00037">37</a> of file <a class="el" href="writedatapng2_8c_source.html">writedatapng2.c</a>.</p>

<p>References <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="writedatadat_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_cgraph.png" border="0" usemap="#writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_cgraph_map" alt=""></div>
<map name="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_cgraph_map" id="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_cgraph">
<area shape="rect" id="node3" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="159,5,257,35"/><area shape="rect" id="node7" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="180,58,236,89"/><area shape="rect" id="node12" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="167,189,249,219"/><area shape="rect" id="node5" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="319,5,404,35"/><area shape="rect" id="node9" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="324,58,399,89"/><area shape="rect" id="node14" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="328,111,395,142"/><area shape="rect" id="node16" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="475,165,547,195"/><area shape="rect" id="node20" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="319,215,404,246"/><area shape="rect" id="node22" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="308,269,415,299"/><area shape="rect" id="node28" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="315,322,408,353"/><area shape="rect" id="node18" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="605,217,720,247"/><area shape="rect" id="node25" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="464,269,557,299"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_icgraph.png" border="0" usemap="#writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_icgraph_map" alt=""></div>
<map name="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_icgraph_map" id="writepng_8h_a916a4d7d0d8aec0eac742e8f8bb41a93_icgraph">
<area shape="rect" id="node3" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="159,129,244,160"/><area shape="rect" id="node5" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="295,129,364,160"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="413,76,552,107"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="776,101,835,132"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="637,229,691,260"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="419,129,547,160"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="444,23,521,53"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="440,183,525,213"/><area shape="rect" id="node29" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="437,236,528,267"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="883,140,933,171"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="601,24,727,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7770d19aebe21e0a423fd40781030bcb"></a><!-- doxytag: member="writepng.h::WritePNGfile" ref="a7770d19aebe21e0a423fd40781030bcb" args="(char *file_name, int width, int height, png_bytepp image, char *desc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNGfile </td>
          <td>(</td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>file_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">png_bytepp&nbsp;</td>
          <td class="paramname"> <em>image</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>desc</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writepng_8c_source.html#l00039">39</a> of file <a class="el" href="writepng_8c_source.html">writepng.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

<p>Referenced by <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a7770d19aebe21e0a423fd40781030bcb_icgraph.png" border="0" usemap="#writepng_8h_a7770d19aebe21e0a423fd40781030bcb_icgraph_map" alt=""></div>
<map name="writepng_8h_a7770d19aebe21e0a423fd40781030bcb_icgraph_map" id="writepng_8h_a7770d19aebe21e0a423fd40781030bcb_icgraph">
<area shape="rect" id="node3" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="155,146,232,177"/><area shape="rect" id="node34" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="151,199,236,230"/><area shape="rect" id="node5" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="287,173,356,203"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="405,119,544,150"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="768,145,827,175"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="629,273,683,303"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="411,173,539,203"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="436,66,513,97"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="432,226,517,257"/><area shape="rect" id="node29" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="429,279,520,310"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="875,197,925,227"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="593,66,719,97"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3f07c3a3f70ce2f4d84f69022cccf680"></a><!-- doxytag: member="writepng.h::WritePNGinit" ref="a3f07c3a3f70ce2f4d84f69022cccf680" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNGinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatapng_8c_source.html#l00037">37</a> of file <a class="el" href="writedatapng_8c_source.html">writedatapng.c</a>.</p>

<p>References <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="writedatadat_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_cgraph.png" border="0" usemap="#writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_cgraph_map" alt=""></div>
<map name="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_cgraph_map" id="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_cgraph">
<area shape="rect" id="node3" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="151,5,249,35"/><area shape="rect" id="node7" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="172,58,228,89"/><area shape="rect" id="node12" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="159,189,241,219"/><area shape="rect" id="node5" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="311,5,396,35"/><area shape="rect" id="node9" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="316,58,391,89"/><area shape="rect" id="node14" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="320,111,387,142"/><area shape="rect" id="node16" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="467,165,539,195"/><area shape="rect" id="node20" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="311,215,396,246"/><area shape="rect" id="node22" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="300,269,407,299"/><area shape="rect" id="node28" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="307,322,400,353"/><area shape="rect" id="node18" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="597,217,712,247"/><area shape="rect" id="node25" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="456,269,549,299"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_icgraph.png" border="0" usemap="#writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_icgraph_map" alt=""></div>
<map name="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_icgraph_map" id="writepng_8h_a3f07c3a3f70ce2f4d84f69022cccf680_icgraph">
<area shape="rect" id="node3" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="151,129,228,160"/><area shape="rect" id="node5" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="279,129,348,160"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="397,76,536,107"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="760,101,819,132"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="621,229,675,260"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="403,129,531,160"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="428,23,505,53"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="424,183,509,213"/><area shape="rect" id="node29" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="421,236,512,267"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="867,140,917,171"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="585,24,711,55"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

